

var playerInitTimemediaspace = Date.now();
var playermediaspace = jwplayer("mediaspace");

var playerConfigmediaspace = {
	"playlist": [{
		"sources": [
			

			{ "type": "hls", "label": "Auto-HLS", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067336_a4f1072c5d5379ac1bb9c8691e1d739e040fd667/2021/08/madeline-black/7375/video/previews/h264-,504p,720p,360p,216p.m3u8?subtitles=en" },
			{ "type": "mpd", "label": "Auto-MPD", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067336_a4f1072c5d5379ac1bb9c8691e1d739e040fd667/2021/08/madeline-black/7375/video/previews/h264-,504p,720p,360p,216p.mpd" }, {}
			
		],
		"image": "//images.pilatesanytime.com/2021/10/01/full_madeline_210811_PA7223-65947.jpg",
		
		"title": "#4706: Centered - 2nd Edition",
		"description": "Centered, Anatomy, Technique, Alignment, Functional Movement",
		
		"tracks": [
			
			{ "kind": "chapters", "file": "/caption_files/vtt_chapters/8775_chapters.vtt" },
			
			{ "kind": "thumbnails", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067336_cd40abbf355180f7d72d497d7237c7a7012d35a1/2021/08/madeline-black/7375/thumbs/160x90.vtt" },
			
		{} ]
	}],
	"skin": {
		"url": "https://www.pilatesanytime.com/css/jwplayer8/skins/pilates_jwplayer8_skin.css?v=PIL-3405",
		"name": "tm_skin"
	},
	"playbackRateControls": [0.5, 0.75, 1, 1.25, 1.5, 2.0],
	
	"cast": {
		"appid": "D285D081",
		"logo": "//images.pilatesanytime.com/graphics/pilates/PAlogo_@2x.png",
		"railcolor": "#99cc33"
	},
	
	"width": "100%",
	"aspectratio": "16:9",
	"hlshtml": true,
	"floating": { "dismissible": true } 
};

playermediaspace.setup(playerConfigmediaspace);



if (typeof initJWPlayerMux !== 'undefined') {
	initJWPlayerMux(playermediaspace, {
		debug: false,
		data: {
			property_key: 'f668d87099c7c76bc3eef5935', // required
			page_type: 'watchpage', // (see docs) 'watchpage', 'iframe', or leave empty
			viewer_user_id: '-1', // ex: '12345'
			experiment_name: '', // ex: 'player_test_A'
			sub_property_id: 'pilates', // ex: 'cus-1'

			// Player Metadata
			player_name: 'jwplayer', // ex: 'My Main Player'
			player_version: jwplayer.version.split("+")[0], // ex: '1.0.0'
			player_init_time: playerInitTimemediaspace, // ex: 1451606400000

			// Video Metadata (cleared with 'videochange' event)
			video_id: '8775', // ex: 'abcd123'
			video_title: '8775: Centered - 2nd Edition', // ex: 'My Great Video'
			video_series: 'Madeline Black', // ex: 'Weekly Great Videos'
			video_producer: '', // ex: 'Bob the Producer'
			video_content_type: '', // 'short', 'movie', 'episode', 'clip', 'trailer', or 'event'
			video_language_code: '', // ex: 'en'
			video_variant_name: '', // ex: 'Spanish Hard Subs'
			video_variant_id: '', // ex: 'abcd1234'
			video_duration: '', // in milliseconds, ex: 120000
			video_stream_type: 'on-demand', // 'live' or 'on-demand'
			video_encoding_variant: '', // ex: 'Variant 1'
			video_cdn: 'fastly' // ex: 'Fastly', 'Cloudfront'
		}
	});
}

var videoIsPlaying = 0;
var asked_resume = 0;


	var requireTermsOK = 1;

	asked_resume = 0;



playermediaspace.on('time', function(evt) { 
	var lastPosition = $("#video_view_pos").val();
	var currentPosition = evt.position;
	videoIsPlaying = 1;
	$("#video_view_pos").val(currentPosition);

	
		getCurrentChapter(currentPosition);
		
		getCurrentTranscriptSegment(currentPosition);
		
		
		// record position in cookie, update form field	  
		//markWatched("mediaProgress");
		var date = new Date();
		date.setTime(date.getTime()+(90*1000));
		document.cookie="last_video_id=8775; secure; expires=" + date.toGMTString();
		document.cookie="last_position=" + currentPosition + "; secure; expires=" + date.toGMTString();
	
});


playermediaspace.on('pause', function(data) { 
	if (videoIsPlaying == 1) { markWatched("mediaStop"); }
	videoIsPlaying = 0;
	if (document.ga) ga('send', 'event', 'video', 'pause', 'video_id', 8775);
});




playermediaspace.on('play', function(data) {
	
	
	var videoIsPlaying = 1;
	position = $('#video_view_pos').val();
	//console.log("onPlay position is: " + position);
	if (position > 0) {
		//if we have not asked them resume question yet...
		if (asked_resume == 0) {
			$('#js-progress-video').hide();
			asked_resume = 1;
			//console.log("resuming playback...");
			doResumemediaspace(position);
		}
	}
	markWatched("mediaPlay");
		
	if (document.ga) ga('send', 'event', 'video', 'play', 'video_id', 8775);

	
});


playermediaspace.on('complete', function() {
	
		markWatched("mediaComplete");
		
		
	if (document.ga) ga('send', 'event', 'video', 'complete', 'video_id', 8775);
	
});




playermediaspace.on('error', function(error) {

	if (document.ga) ga('send', 'event', 'video', 'error', 'video_id', 8775);
	

	var payload = {
		vid: "8775",
		cid: "4706",
		i: "-1",
		e: error,
		c: jwplayer('mediaspace').getConfig()
	};
	
	if (error.message.indexOf("Error loading media: File could not be played") >= 0) {
		//Update their prefs to exclude 720p bad renditions, Show the help div
		$('#playbackIssuesDIV').show();
		
		var file = jwplayer('mediaspace').getConfig().playlist[0].file;
		
		$.ajax({
			async: false,
			timeout: 10,
			url: file,
			type: "GET",
			error: function(xhr, status, innererror) {
				var responseText = xhr.responseText;
				var re = /^Reference\&\#32\;\&\#35\;(.*)$/m;
				var result = responseText.match(re);
				if (result.length > 1) {
					var reference = result[1];
					payload = {
						vid: "8775",
						cid: "4706",
						i: "-1",
						e: error,
						c: jwplayer('mediaspace').getConfig(),
						ar: reference
					};
				}
			}
		});
	}
	else if (error.message.indexOf("Cannot load M3U8: Crossdomain access denied" >= 0)) {
		if ($.cookie("crossdomainReload") !== "true") {
			$.cookie("crossdomainReload", "true");
			// Display brief flash message indicating we're reloading expired video page ?
			location.reload();
		}
		else {
			// Display more friendly error message than the JWPlayer M3U8 access denied?
		}
	}
	else {
		//alert(error.message.indexOf("Error loading media: File could not be played"));
	}
	
	$.ajax({
		type: "POST",
		url: "/jwplayer/jwplayer_error.cfm",
		contentType: "application/json; charset=utf-8",
		data: JSON.stringify(payload),
		success: function(data) {
			//result = $.parseJSON(data);
			//console.log("post result:"+result.error_message);
		}
	});
});


function doPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
}

function doPlayPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
	else {
		playermediaspace.play();
	}
}

function doResumemediaspace(resume_position) {
	playermediaspace.seek(resume_position);
	
	$("#video_view_pos").val(resume_position);
	
}

function getClassURL() {
	new_url = "#";
	
	new_url = '/workshop_view.cfm?class_id=4706';
	
	return new_url;
}


function markWatched(my_action) {		
	var my_position = document.getElementById("video_view_pos").value;
	var instance = new classFunctions();  
	if (my_action == 'mediaPlay' || my_action == 'mediaStop' || my_action == 'mediaComplete' || my_action == 'mediaProgress') {
		var myResult = instance.saveClassView(8775, -1, '-1', my_action, 36955562, my_position);
	}
	document.getElementById("video_view_pos").value = my_position;
}

function jumpToChapter(timecode) { seek(timecode); } // backward compatibility in case of caching; delete after 30 days, this function has been renamed
function seek(timecode) { playermediaspace.seek(timecode); }

function playVideo() { playermediaspace.play(); }


	function getCurrentChapter(cseconds) {
		
		
			if (cseconds >= 0 && cseconds <387.008) {
				//console.log('Chapter at '+cseconds+' is 1757 - v.1.1');
				markActiveChapter(1757);
			}
			else {
				markInActiveChapter(1757);
			}
			
		
			if (cseconds >= 387.008 && cseconds <538.019) {
				//console.log('Chapter at '+cseconds+' is 1758 - v.1.2');
				markActiveChapter(1758);
			}
			else {
				markInActiveChapter(1758);
			}
			
		
			if (cseconds >= 538.019 && cseconds <848.019) {
				//console.log('Chapter at '+cseconds+' is 1759 - v.1.3');
				markActiveChapter(1759);
			}
			else {
				markInActiveChapter(1759);
			}
			
		
			if (cseconds >= 848.019 && cseconds <1053.013) {
				//console.log('Chapter at '+cseconds+' is 1760 - v.1.4');
				markActiveChapter(1760);
			}
			else {
				markInActiveChapter(1760);
			}
			
		
			if (cseconds >= 1053.013 && cseconds <1516.001) {
				//console.log('Chapter at '+cseconds+' is 1761 - v.1.5');
				markActiveChapter(1761);
			}
			else {
				markInActiveChapter(1761);
			}
			
		
			if (cseconds >= 1516.001 && cseconds <1881.01) {
				//console.log('Chapter at '+cseconds+' is 1762 - v.1.6');
				markActiveChapter(1762);
			}
			else {
				markInActiveChapter(1762);
			}
			
		
			if (cseconds >= 1881.01 && cseconds <2128.014) {
				//console.log('Chapter at '+cseconds+' is 1763 - v.1.7');
				markActiveChapter(1763);
			}
			else {
				markInActiveChapter(1763);
			}
			
		
			if (cseconds >= 2128.014 && cseconds <2302.015) {
				//console.log('Chapter at '+cseconds+' is 1764 - v.1.8');
				markActiveChapter(1764);
			}
			else {
				markInActiveChapter(1764);
			}
			
		
			if (cseconds >= 2302.015 && cseconds <2549.007) {
				//console.log('Chapter at '+cseconds+' is 1765 - v.2.1');
				markActiveChapter(1765);
			}
			else {
				markInActiveChapter(1765);
			}
			
		
			if (cseconds >= 2549.007 && cseconds <2810.026) {
				//console.log('Chapter at '+cseconds+' is 1766 - v.2.2');
				markActiveChapter(1766);
			}
			else {
				markInActiveChapter(1766);
			}
			
		
			if (cseconds >= 2810.026 && cseconds <3118.025) {
				//console.log('Chapter at '+cseconds+' is 1767 - v.2.3');
				markActiveChapter(1767);
			}
			else {
				markInActiveChapter(1767);
			}
			
		
			if (cseconds >= 3118.025 && cseconds <3286.003) {
				//console.log('Chapter at '+cseconds+' is 1768 - v.2.4');
				markActiveChapter(1768);
			}
			else {
				markInActiveChapter(1768);
			}
			
		
			if (cseconds >= 3286.003 && cseconds <3443.003) {
				//console.log('Chapter at '+cseconds+' is 1769 - v.2.5');
				markActiveChapter(1769);
			}
			else {
				markInActiveChapter(1769);
			}
			
		
			if (cseconds >= 3443.003 && cseconds <3693.029) {
				//console.log('Chapter at '+cseconds+' is 1770 - v.2.6');
				markActiveChapter(1770);
			}
			else {
				markInActiveChapter(1770);
			}
			
		
			if (cseconds >= 3693.029 && cseconds <3975.01) {
				//console.log('Chapter at '+cseconds+' is 1771 - v.2.7');
				markActiveChapter(1771);
			}
			else {
				markInActiveChapter(1771);
			}
			
		
			if (cseconds >= 3975.01 && cseconds <4140.02) {
				//console.log('Chapter at '+cseconds+' is 1772 - v.3.1');
				markActiveChapter(1772);
			}
			else {
				markInActiveChapter(1772);
			}
			
		
			if (cseconds >= 4140.02 && cseconds <4398.014) {
				//console.log('Chapter at '+cseconds+' is 1773 - v.3.2');
				markActiveChapter(1773);
			}
			else {
				markInActiveChapter(1773);
			}
			
		
			if (cseconds >= 4398.014 && cseconds <4510.008) {
				//console.log('Chapter at '+cseconds+' is 1774 - v.3.3');
				markActiveChapter(1774);
			}
			else {
				markInActiveChapter(1774);
			}
			
		
			if (cseconds >= 4510.008 && cseconds <4642.028) {
				//console.log('Chapter at '+cseconds+' is 1775 - v3.4');
				markActiveChapter(1775);
			}
			else {
				markInActiveChapter(1775);
			}
			
		
			if (cseconds >= 4642.028 && cseconds <4835.015) {
				//console.log('Chapter at '+cseconds+' is 1776 - v.3.5');
				markActiveChapter(1776);
			}
			else {
				markInActiveChapter(1776);
			}
			
		
			if (cseconds >= 4835.015 && cseconds <5022.016) {
				//console.log('Chapter at '+cseconds+' is 1777 - v.3.6');
				markActiveChapter(1777);
			}
			else {
				markInActiveChapter(1777);
			}
			
		
			if (cseconds >= 5022.016 && cseconds <5171.009) {
				//console.log('Chapter at '+cseconds+' is 1778 - v.3.7');
				markActiveChapter(1778);
			}
			else {
				markInActiveChapter(1778);
			}
			
		
			if (cseconds >= 5171.009 && cseconds <5356.027) {
				//console.log('Chapter at '+cseconds+' is 1779 - v.3.8');
				markActiveChapter(1779);
			}
			else {
				markInActiveChapter(1779);
			}
			
		
			if (cseconds >= 5356.027 && cseconds <5506.02) {
				//console.log('Chapter at '+cseconds+' is 1780 - v.4.1');
				markActiveChapter(1780);
			}
			else {
				markInActiveChapter(1780);
			}
			
		
			if (cseconds >= 5506.02 && cseconds <5684.028) {
				//console.log('Chapter at '+cseconds+' is 1781 - v.4.2');
				markActiveChapter(1781);
			}
			else {
				markInActiveChapter(1781);
			}
			
		
			if (cseconds >= 5684.028 && cseconds <6051.02) {
				//console.log('Chapter at '+cseconds+' is 1782 - v.4.3');
				markActiveChapter(1782);
			}
			else {
				markInActiveChapter(1782);
			}
			
		
			if (cseconds >= 6051.02 && cseconds <6423) {
				//console.log('Chapter at '+cseconds+' is 1783 - v.4.4');
				markActiveChapter(1783);
			}
			else {
				markInActiveChapter(1783);
			}
			
		
			if (cseconds >= 6423 && cseconds <7007.015) {
				//console.log('Chapter at '+cseconds+' is 1784 - v.4.5');
				markActiveChapter(1784);
			}
			else {
				markInActiveChapter(1784);
			}
			
		
			if (cseconds >= 7007.015 && cseconds <7229.007) {
				//console.log('Chapter at '+cseconds+' is 1785 - v.5.1');
				markActiveChapter(1785);
			}
			else {
				markInActiveChapter(1785);
			}
			
		
			if (cseconds >= 7229.007 && cseconds <7576.019) {
				//console.log('Chapter at '+cseconds+' is 1786 - v.5.2');
				markActiveChapter(1786);
			}
			else {
				markInActiveChapter(1786);
			}
			
		
			if (cseconds >= 7576.019 && cseconds <7763.004) {
				//console.log('Chapter at '+cseconds+' is 1787 - v.5.3');
				markActiveChapter(1787);
			}
			else {
				markInActiveChapter(1787);
			}
			
		
			if (cseconds >= 7763.004 && cseconds <8016.021) {
				//console.log('Chapter at '+cseconds+' is 1788 - v.5.4');
				markActiveChapter(1788);
			}
			else {
				markInActiveChapter(1788);
			}
			
		
			if (cseconds >= 8016.021 && cseconds <8170.026) {
				//console.log('Chapter at '+cseconds+' is 1789 - v.5.5');
				markActiveChapter(1789);
			}
			else {
				markInActiveChapter(1789);
			}
			
		
			if (cseconds >= 8170.026 && cseconds <8519.007) {
				//console.log('Chapter at '+cseconds+' is 1790 - v.6.1');
				markActiveChapter(1790);
			}
			else {
				markInActiveChapter(1790);
			}
			
		
			if (cseconds >= 8519.007 && cseconds <8654.021) {
				//console.log('Chapter at '+cseconds+' is 1791 - v.6.2');
				markActiveChapter(1791);
			}
			else {
				markInActiveChapter(1791);
			}
			
		
			if (cseconds >= 8654.021 && cseconds <8770.021) {
				//console.log('Chapter at '+cseconds+' is 1792 - v.6.3');
				markActiveChapter(1792);
			}
			else {
				markInActiveChapter(1792);
			}
			
		
			if (cseconds >= 8770.021 && cseconds <8934.013) {
				//console.log('Chapter at '+cseconds+' is 1793 - v.6.4');
				markActiveChapter(1793);
			}
			else {
				markInActiveChapter(1793);
			}
			
		
			if (cseconds >= 8934.013 && cseconds <9087.004) {
				//console.log('Chapter at '+cseconds+' is 1794 - v.7.1');
				markActiveChapter(1794);
			}
			else {
				markInActiveChapter(1794);
			}
			
		
			if (cseconds >= 9087.004 && cseconds <9188.016) {
				//console.log('Chapter at '+cseconds+' is 1795 - v.7.2');
				markActiveChapter(1795);
			}
			else {
				markInActiveChapter(1795);
			}
			
		
			if (cseconds >= 9188.016 && cseconds <9361.025) {
				//console.log('Chapter at '+cseconds+' is 1796 - v.7.3');
				markActiveChapter(1796);
			}
			else {
				markInActiveChapter(1796);
			}
			
		
			if (cseconds >= 9361.025 && cseconds <9507.02) {
				//console.log('Chapter at '+cseconds+' is 1797 - v.7.4');
				markActiveChapter(1797);
			}
			else {
				markInActiveChapter(1797);
			}
			
		
			if (cseconds >= 9507.02 && cseconds <9638.025) {
				//console.log('Chapter at '+cseconds+' is 1798 - v.7.5');
				markActiveChapter(1798);
			}
			else {
				markInActiveChapter(1798);
			}
			
		
			if (cseconds >= 9638.025 && cseconds <9797.024) {
				//console.log('Chapter at '+cseconds+' is 1799 - v.7.6');
				markActiveChapter(1799);
			}
			else {
				markInActiveChapter(1799);
			}
			
		
			if (cseconds >= 9797.024 && cseconds <9889.025) {
				//console.log('Chapter at '+cseconds+' is 1800 - v.7.7');
				markActiveChapter(1800);
			}
			else {
				markInActiveChapter(1800);
			}
			
		
			if (cseconds >= 9889.025 && cseconds <9987.001) {
				//console.log('Chapter at '+cseconds+' is 1801 - v.7.8');
				markActiveChapter(1801);
			}
			else {
				markInActiveChapter(1801);
			}
			
		
			if (cseconds >= 9987.001 && cseconds <10150.011) {
				//console.log('Chapter at '+cseconds+' is 1802 - v.8.1');
				markActiveChapter(1802);
			}
			else {
				markInActiveChapter(1802);
			}
			
		
			if (cseconds >= 10150.011 && cseconds <10345.028) {
				//console.log('Chapter at '+cseconds+' is 1803 - v.8.2');
				markActiveChapter(1803);
			}
			else {
				markInActiveChapter(1803);
			}
			
		
			if (cseconds >= 10345.028 && cseconds <10459.007) {
				//console.log('Chapter at '+cseconds+' is 1804 - v.8.3');
				markActiveChapter(1804);
			}
			else {
				markInActiveChapter(1804);
			}
			
		
			if (cseconds >= 10459.007 && cseconds <10735.028) {
				//console.log('Chapter at '+cseconds+' is 1805 - v.8.4');
				markActiveChapter(1805);
			}
			else {
				markInActiveChapter(1805);
			}
			
		
			if (cseconds >= 10735.028 && cseconds <10839.005) {
				//console.log('Chapter at '+cseconds+' is 1806 - v.9.1');
				markActiveChapter(1806);
			}
			else {
				markInActiveChapter(1806);
			}
			
		
			if (cseconds >= 10839.005 && cseconds <10964.022) {
				//console.log('Chapter at '+cseconds+' is 1807 - v.9.2');
				markActiveChapter(1807);
			}
			else {
				markInActiveChapter(1807);
			}
			
		
			if (cseconds >= 10964.022 && cseconds <11189.027) {
				//console.log('Chapter at '+cseconds+' is 1808 - v.9.3');
				markActiveChapter(1808);
			}
			else {
				markInActiveChapter(1808);
			}
			
		
			if (cseconds >= 11189.027 && cseconds <11316.029) {
				//console.log('Chapter at '+cseconds+' is 1809 - v.9.4');
				markActiveChapter(1809);
			}
			else {
				markInActiveChapter(1809);
			}
			
		
			if (cseconds >= 11316.029 && cseconds <11423.01) {
				//console.log('Chapter at '+cseconds+' is 1810 - v.9.5');
				markActiveChapter(1810);
			}
			else {
				markInActiveChapter(1810);
			}
			
		
	}
	
	function markActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (!this_chapter.hasClass('tm-card-active')) {
			this_chapter.addClass('tm-card-active');
			scrollToChapter(my_chapter_id);
		}
	}
	function markInActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (this_chapter.hasClass('tm-card-active')) {
			this_chapter.removeClass('tm-card-active');
		}
	}

	prior_seconds = -1;
	
	function getCurrentTranscriptSegment(cseconds) {
		var rounded_seconds = parseInt(cseconds);
		if (rounded_seconds != prior_seconds) {
			scrollToTranscriptSegment(rounded_seconds,prior_seconds);
			prior_seconds = rounded_seconds;
		}
		
	}
